webpackJsonp([27],{

/***/ 1047:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TeacherTeachActivityPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__utils_AppPageComponent__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__utils_Help__ = __webpack_require__(22);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utils_LanguageConfig__ = __webpack_require__(18);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the TeacherTeachActivityPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var TeacherTeachActivityPage = (function (_super) {
    __extends(TeacherTeachActivityPage, _super);
    function TeacherTeachActivityPage(navCtrl, navParams, help, lang) {
        var _this = _super.call(this, help) || this;
        _this.navCtrl = navCtrl;
        _this.navParams = navParams;
        _this.help = help;
        _this.lang = lang;
        _this.url = "/teachactivity/listByPage";
        _this.types = [];
        _this.queryParams = {
            hospitalId: _this.help.user.staff.hospitalId,
            accountId: _this.help.user.id,
            typeId: ''
        };
        //获取教学活动类型
        _this.help.post("/dictionary/getByTypeCode/TeachActivityType", null).then(function (data) {
            // console.log(data);
            _this.types = data.data;
            if (_this.types && _this.types.length > 0) {
                _this.queryParams.typeId = _this.types[0].id;
            }
            _this.fetchData();
        }).catch(function (data) {
        });
        return _this;
        //this.types = [{id:'',name:'全部'},{id:'1',name:'小讲课'},{id:'2',name:'教学查房'},{id:'3',name:'病例讨论'}];
    }
    TeacherTeachActivityPage.prototype.fetchData = function () {
        var _this = this;
        this.queryData(1).then(function (da) {
            _this.forMatterQueryData(da);
        });
    };
    TeacherTeachActivityPage.prototype.changeType = function (index) {
        this.queryParams.typeId = this.types[index].id;
        this.fetchData();
    };
    TeacherTeachActivityPage.prototype.ngOnInit = function () {
    };
    //处理queryData返回的数据
    TeacherTeachActivityPage.prototype.forMatterQueryData = function (da) {
        var _this = this;
        this.list = [];
        da.list.forEach(function (d) {
            var date = d.created.substring(0, 10);
            if (date == _this.help.getDateStr(0)) {
                d.dateFormat = '今天';
                d.now = true;
            }
            else if (date == _this.help.getDateStr(1)) {
                d.dateFormat = '明天';
            }
            else if (date == _this.help.getDateStr(-1)) {
                d.dateFormat = '昨天';
            }
            else {
                d.dateFormat = date.substring(5, 10);
            }
            //调整日期格式
            if (d.startDate && d.startDate.length > 10) {
                d.startTime = d.startDate.substr(11, 5);
                d.startDate = d.startDate.substr(0, 10);
            }
            _this.list.push(d);
        });
        this.compareTime(this.list);
        // this.compareTime(da.list);
    };
    //比较教学活动发生了没有
    TeacherTeachActivityPage.prototype.compareTime = function (data) {
        // this.list.length = 0;
        var currentTime = new Date();
        var threeHours = currentTime - (3 * 60 * 60 * 1000); //当前时间前3小时的定为开展中。。。
        data.forEach(function (da) {
            var date = new Date(da.startDate);
            if (threeHours > date) {
                da.isHappend = da.count + "\u4EBA\u53C2\u52A0";
            }
            else if (currentTime > date && date > threeHours) {
                da.isHappend = "开展中...";
            }
            else {
                da.isHappend = "未开展";
            }
            // this.list.push(da);
        });
    };
    /*//查询已开展的项目参加人数
    getCountActivityMember(id): any {
      this.help.post(`/teachactivity/countActivityMember/${id}`, null).then((data: any) => {
  
      }).catch((data: any) => {
  
        }
      );
    }*/
    //教学活动详情
    TeacherTeachActivityPage.prototype.showDetail = function (activity) {
        this.navCtrl.push("TeachActivityDetailPage", activity);
    };
    //创建教学活动
    TeacherTeachActivityPage.prototype.addTeachActivity = function () {
        this.navCtrl.push("AddTeachActivityPage");
    };
    /**
     * 刷新
     * @param refresher
     */
    TeacherTeachActivityPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        this.enableScroll = true;
        this.list = [];
        this.queryData(1).then(function (data) {
            _this.forMatterQueryData(data);
            refresher.complete();
        }).catch(function (err) { return refresher.complete(); });
    };
    /**
     * 加载
     * @param refresher
     */
    TeacherTeachActivityPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.page == 0) {
            infiniteScroll.complete();
            this.help.info('没有更多的数据了!');
            this.enableScroll = false;
        }
        else {
            this.queryData(this.page).then(function (data) {
                _this.forMatterQueryData(data);
                infiniteScroll.complete();
            }).catch(function (err) { return infiniteScroll.complete(); });
        }
    };
    return TeacherTeachActivityPage;
}(__WEBPACK_IMPORTED_MODULE_2__utils_AppPageComponent__["a" /* AppPageComponent */]));
TeacherTeachActivityPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'page-teacher-teach-activity',template:/*ion-inline-start:"E:\work\workspace\idea\mrt-assistant\src\pages\mine\teacher-teach-activity\teacher-teach-activity.html"*/'<!--\n  Generated template for the TeacherTeachActivityPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>教学活动</ion-title>\n    <ion-buttons end>\n      <button (click)="addTeachActivity()" round clear ion-button icon-only>\n        <ion-icon class="theme-color-white" name="add"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding class="background">\n  <navbar-sliders [sliders]="types" [pageNumber]="types.length" (change)="changeType(($event))"></navbar-sliders>\n  <page-toast-img *ngIf="!haveData"></page-toast-img>\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      [refreshingText]="lang.LAN.base.loading">\n    </ion-refresher-content>\n  </ion-refresher>\n  <ion-item *ngFor="let activity of list" (click)="showDetail(activity)">\n     <span style="float: left">{{activity.subject}}\n     <ion-note item-end *ngIf="activity.isHappend == \'未开展\'" style="color: blue;font-size: small;">未开展</ion-note>\n     <ion-note item-end *ngIf="activity.isHappend == \'开展中...\'" style="color: red;font-size: small;">开展中...</ion-note>\n    </span>\n    <span *ngIf="activity.isHappend.indexOf(\'参加\')!=-1" style="color: green;font-size: small;float: right">{{activity.isHappend}}</span>\n    <div style="clear: both"></div>\n    <p>教师：{{activity.teacherName}}</p>\n    <p>时间：{{activity.startDate + \' \' + activity.startTime}}</p>\n    <p>地点：{{activity.location}}</p>\n  </ion-item>\n\n  <ion-infinite-scroll [enabled]="enableScroll" (ionInfinite)="doInfinite($event)">\n    <ion-infinite-scroll-content\n      [loadingText]="lang.LAN.base.loading">\n    </ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n\n</ion-content>\n'/*ion-inline-end:"E:\work\workspace\idea\mrt-assistant\src\pages\mine\teacher-teach-activity\teacher-teach-activity.html"*/,
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__utils_Help__["a" /* Help */], __WEBPACK_IMPORTED_MODULE_4__utils_LanguageConfig__["a" /* LanguageConfig */]])
], TeacherTeachActivityPage);

//# sourceMappingURL=teacher-teach-activity.js.map

/***/ }),

/***/ 842:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TeacherTeachActivityPageModule", function() { return TeacherTeachActivityPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__teacher_teach_activity__ = __webpack_require__(1047);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__toast_img_toast_img_module__ = __webpack_require__(412);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_navbar_sliders_navbar_sliders_module__ = __webpack_require__(899);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var TeacherTeachActivityPageModule = (function () {
    function TeacherTeachActivityPageModule() {
    }
    return TeacherTeachActivityPageModule;
}());
TeacherTeachActivityPageModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_2__teacher_teach_activity__["a" /* TeacherTeachActivityPage */],
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_3__toast_img_toast_img_module__["a" /* ToastImgPageComponentModule */].forRoot(),
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__teacher_teach_activity__["a" /* TeacherTeachActivityPage */]),
            __WEBPACK_IMPORTED_MODULE_4__components_navbar_sliders_navbar_sliders_module__["a" /* NavbarSlidersModule */].forRoot(),
        ],
    })
], TeacherTeachActivityPageModule);

//# sourceMappingURL=teacher-teach-activity.module.js.map

/***/ }),

/***/ 899:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NavbarSlidersModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common__ = __webpack_require__(49);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__navbar_sliders__ = __webpack_require__(900);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var NavbarSlidersModule = NavbarSlidersModule_1 = (function () {
    function NavbarSlidersModule() {
    }
    NavbarSlidersModule.forRoot = function () {
        return { ngModule: NavbarSlidersModule_1, providers: [] };
    };
    return NavbarSlidersModule;
}());
NavbarSlidersModule = NavbarSlidersModule_1 = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
        declarations: [__WEBPACK_IMPORTED_MODULE_3__navbar_sliders__["a" /* NavbarSlidersComponent */]],
        exports: [__WEBPACK_IMPORTED_MODULE_3__navbar_sliders__["a" /* NavbarSlidersComponent */],],
        imports: [__WEBPACK_IMPORTED_MODULE_1__angular_common__["CommonModule"], __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["j" /* IonicModule */]],
        entryComponents: [__WEBPACK_IMPORTED_MODULE_3__navbar_sliders__["a" /* NavbarSlidersComponent */]]
    })
], NavbarSlidersModule);

var NavbarSlidersModule_1;
//# sourceMappingURL=navbar-sliders.module.js.map

/***/ }),

/***/ 900:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NavbarSlidersComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(11);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * Generated class for the NavbarSlidersComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
var NavbarSlidersComponent = (function () {
    function NavbarSlidersComponent() {
        this.selectedIndex = 0;
        this.slidePosition = '0px';
        this.sliders = [];
        this.pageNumber = 1;
        this.change = new __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"];
    }
    NavbarSlidersComponent.prototype.ngOnInit = function () {
    };
    NavbarSlidersComponent.prototype.changeType = function (index) {
        this.selectedIndex = index;
        this.slideChange(true);
    };
    NavbarSlidersComponent.prototype.slideChange = function (isClick) {
        if (!isClick) {
            //同时支持滑动和点击
            this.selectedIndex = this.slide.getActiveIndex();
        }
        this.scrollTo(this.selectedIndex);
    };
    NavbarSlidersComponent.prototype.scrollTo = function (index) {
        this.slide.slideTo(index);
        if (this.change) {
            this.change.emit(index);
        }
        var left = index * -50;
        this.slidePosition = left + 'px';
    };
    return NavbarSlidersComponent;
}());
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('slides'),
    __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["w" /* Slides */])
], NavbarSlidersComponent.prototype, "slide", void 0);
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
    __metadata("design:type", Array)
], NavbarSlidersComponent.prototype, "sliders", void 0);
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Input"])(),
    __metadata("design:type", Number)
], NavbarSlidersComponent.prototype, "pageNumber", void 0);
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Output"])("change"),
    __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["EventEmitter"])
], NavbarSlidersComponent.prototype, "change", void 0);
NavbarSlidersComponent = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
        selector: 'navbar-sliders',template:/*ion-inline-start:"E:\work\workspace\idea\mrt-assistant\src\components\navbar-sliders\navbar-sliders.html"*/'<div class="slide-bar" [style.left]="slidePosition">\n  <ion-slides #slides class="slide-title" (ionSlideDidChange)="slideChange(false)" [slidesPerView]="pageNumber" [pager]="false">\n    <ion-slide *ngFor="let s of sliders; let i = index">\n      <div (click)="changeType(i)" class="slide-title-unit" [ngClass]="{\'slide-title-active\': selectedIndex == i}">\n        <span >{{s.name}}</span>\n      </div>\n    </ion-slide>\n  </ion-slides>\n</div>\n'/*ion-inline-end:"E:\work\workspace\idea\mrt-assistant\src\components\navbar-sliders\navbar-sliders.html"*/
    }),
    __metadata("design:paramtypes", [])
], NavbarSlidersComponent);

//# sourceMappingURL=navbar-sliders.js.map

/***/ })

});
//# sourceMappingURL=27.js.map